## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Class CL3D.BoundingBoxTriangleSelector

Interface to return triangles with specific properties, useful for collision detection.
Extends CL3D.TriangleSelector.

Class Overview
CL3D.BoundingBoxTriangleSelector(Box, scenenode)
Implementation of TriangleSelector based on a simple, static bounding box, useful for collision detection.
Every CL3D.SceneNode may have a triangle selector, available with SceneNode::Selector. This is used for doing collision detection: For example if you know that a collision may have happened in the area between (1,1,1) and (10,10,10), you can get all triangles of the scene node in this area with the TriangleSelector easily and check every triangle if it collided.

Parameters:
Box
  CL3D.Box3d representing the simpliefied collision object of the node
scenenode

Method Summary
Method Attributes | Method Name and Description
--- | ---
| createClone(node) Creates a clone of this triangle selector, for a new scene node

Methods borrowed from class CL3D.TriangleSelector:
  getAllTriangles, getCollisionPointWithLine, getRelatedSceneNode, getTrianglesInBox, setNodeToIgnore

Method Detail
createClone(node)
Creates a clone of this triangle selector, for a new scene node

Parameters:
node
  {CL3D.SceneNode} scene node the selector is based on

Returns:
  returns TriangleSelector if this selector can be cloned or null if not

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit